summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-04-11 23:49:56 -0500
committerTim Harder <radhermit@gentoo.org>2019-04-11 23:49:56 -0500
commitab2765c1d20a2a48f698250b7a86929725b09042 (patch)
tree5947739cce5204d5f9957ffeccdcc7dac8228914 /dev-python/psutil
parentdev-python/decorator: version bump to 4.4.0 (diff)
downloadgentoo-ab2765c1d20a2a48f698250b7a86929725b09042.tar.gz
gentoo-ab2765c1d20a2a48f698250b7a86929725b09042.tar.bz2
gentoo-ab2765c1d20a2a48f698250b7a86929725b09042.zip
dev-python/psutil: version bump to 5.6.1
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'dev-python/psutil')
-rw-r--r--dev-python/psutil/Manifest1
-rw-r--r--dev-python/psutil/psutil-5.6.1.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/psutil/Manifest b/dev-python/psutil/Manifest
index a07e4e11841..54f7229a5b9 100644
--- a/dev-python/psutil/Manifest
+++ b/dev-python/psutil/Manifest
@@ -4,3 +4,4 @@ DIST psutil-5.4.7.tar.gz 420300 BLAKE2B e096997d22577f90cd6fc6019f2bde8855abda0e
DIST psutil-5.4.8.tar.gz 422742 BLAKE2B 13c4b9b412704728c4b192032a6be78756b03a37cd6f425a81a83d0aca4ce155ebf24a1f62b75e66433f21e8bd3f2fa3c7bbb5ec2686c6dc951b89e97ebfa688 SHA512 5691e7e7ecd827aff2755a85c4c1be3a23beec3a1dbff079547991dcfffa8e075cff7fb6983e1f6fa287e2216e3b1466618730afaf114a0ee209d7b70d7b0c6a
DIST psutil-5.5.0.tar.gz 425058 BLAKE2B 0a13149b060d1a99faa600470fdbd592ee520b247f916313bef428feaa652bc4e9152f09ceeea5378769d4cdcd9876ccdc96dc4378d74136bcbcadf4a9266b90 SHA512 e614d41162087e236779738b50ec9e83403082f20492e152605fe80da23a11a4bd667db82a234f00815f68139d53b19368c2118ab27d52144341c2250091c570
DIST psutil-5.6.0.tar.gz 426596 BLAKE2B 803cb09262575a7193ecc9cf9bfbbf721e10ef4adc25672f6747111306d1803c1422c9894636421653eaae11c241100f58837c80173ab473bb9dc39da2580aed SHA512 01daf80698954a53a9e987afad6c7aefad502c76b5f34601728c3864c924ca52099f139242e508fd4c72378cbe436c9870eca7a33c112fb8dead0be501aaf2aa
+DIST psutil-5.6.1.tar.gz 427472 BLAKE2B ef49aef2a2584efe24816641dc7eec65cc8d2f202bad398dde65e11434684e1454f9f5b213697e94378603e21d67954012f814b74ceaefd272aa7efebfd617fe SHA512 0800c7cb62f1643594ef410a9f4295a48684f39ab772a27bd8ebae8484d9eaa1c7d5b1064dd63bb2252364180062e7db2e46aa4013ba8bd427827287a520f581
diff --git a/dev-python/psutil/psutil-5.6.1.ebuild b/dev-python/psutil/psutil-5.6.1.ebuild
new file mode 100644
index 00000000000..2302e7cc42a
--- /dev/null
+++ b/dev-python/psutil/psutil-5.6.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Retrieve information on running processes and system utilization"
+HOMEPAGE="https://github.com/giampaolo/psutil https://pypi.org/project/psutil/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/ipaddress[${PYTHON_USEDEP}]
+ )
+"
+
+# Many tests fail, even on a regular tox run on a upstream clone
+RESTRICT="test"
+
+python_test() {
+ ${PYTHON} psutil/tests/__main__.py || die
+}